import { Observable } from 'rxjs';
import { MainService } from '../main/main.service';
import { NodeEntity, TaxonomyTerm } from '../models';
/**
 * taxonomy term service for drupal
 * @see BACK_END/admin/structure/services/list/END_POINT/resources for more details
 */
export declare class TaxonomyTermService extends MainService {
    entityType: string;
    /**
     * implement index resource
     * @return array of terms
     */
    getAllTaxonomyTerms(): Observable<TaxonomyTerm[]>;
    /**
     * implement retrive resource
     * @param tid term id
     * @return term object
     */
    getTaxonomyTermById(tid: number): Observable<TaxonomyTerm>;
    /**
     * implement create resource
     * @param taxonomyTerm the term to create
     * @return array number for the wight of the term
     */
    createTaxonomyTerm(taxonomyTerm: TaxonomyTerm): Observable<number[]>;
    /**
     * implement update resource
     * @param taxonomyTerm term to update
     * @return array number for the wight of the term
     */
    updateTaxonomyTerm(taxonomyTerm: TaxonomyTerm): Observable<number[]>;
    /**
     * implement delete resource
     * @param tid term id to delete
     * @return array of deleted term id
     */
    deleteTaxonomyTerm(tid: number): Observable<number[]>;
    /**
     * implement selectNodes
     * @param tid term id
     * @return array of nodes that referenced this term in one of the fields
     */
    getAllNodesForTerm(tid: number): Observable<NodeEntity[]>;
}
